var httpObject = null;

function getHTTPObject() {
    if (window.ActiveXObject) {
        return new ActiveXObject("Microsoft.XMLHTTP");
    } else if (window.XMLHttpRequest) {	//if activex		
        return new XMLHttpRequest();
    } else {	//if xmlhttpreq
        alert("Sorry, requested operation cannot be processed - Your browser does not support AJAX.");
        return null;
    } //else
}